package com.perforce.workshop.tjuricek.p4java_ext;

import java.util.Map;

/**
 * Very simple wrapper around the output from "p4 opened"
 */
public class OpenedFile {

    private Map<String, Object> result;

    public OpenedFile(Map<String, Object> result) {
	this.result = result;
    }

    public String get(String key) {
	return ((String)result.get(key)).trim();
    }

    public Map<String, Object> getResult() {
	return result;
    }

    public void setResult(Map<String, Object> result) {
	this.result = result;
    }
}
